Index: /trunk/LMDZ.GENERIC/libf/dyn3d/newstart.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dyn3d/newstart.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/dyn3d/newstart.F	(revision 253)
@@ -1069,317 +1327,331 @@
 !	 enddo
 
-!       subsoilice_n: Put deep ice layer in northern hemisphere soil
-!       ------------------------------------------------------------
-
-	else if (modif(1:len_trim(modif)).eq.'subsoilice_n') then
-
-         write(*,*)'From which latitude (in deg.), up to the north pole,
-     &should we put subterranean ice?'
-	 ierr=1
-	 do while (ierr.ne.0)
-	  read(*,*,iostat=ierr) val
-	  if (ierr.eq.0) then ! got a value
-	    ! do a sanity check
-	    if((val.lt.0.).or.(val.gt.90)) then
-	      write(*,*)'Latitude should be between 0 and 90 deg. !!!'
-	      ierr=1
-	    else ! find corresponding jref (nearest latitude)
-	      ! note: rlatu(:) contains decreasing values of latitude
-	      !       starting from PI/2 to -PI/2
-	      do j=1,jjp1
-	        if ((rlatu(j)*180./pi.ge.val).and.
-     &              (rlatu(j+1)*180./pi.le.val)) then
-		  ! find which grid point is nearest to val:
-		  if (abs(rlatu(j)*180./pi-val).le.
-     &                abs((rlatu(j+1)*180./pi-val))) then
-		   jref=j
-		  else
-		   jref=j+1
-		  endif
-		 
-		 write(*,*)'Will use nearest grid latitude which is:',
-     &                     rlatu(jref)*180./pi
-		endif
-	      enddo ! of do j=1,jjp1
-	    endif ! of if((val.lt.0.).or.(val.gt.90))
-	  endif !of if (ierr.eq.0)
-	 enddo ! of do while
-
-         ! Build layers() (as in soil_settings.F)
-	 val2=sqrt(mlayer(0)*mlayer(1))
-	 val3=mlayer(1)/mlayer(0)
-	 do isoil=1,nsoilmx
-	   layer(isoil)=val2*(val3**(isoil-1))
-	 enddo
-
-         write(*,*)'At which depth (in m.) does the ice layer begin?'
-         write(*,*)'(currently, the deepest soil layer extends down to:'
-     &              ,layer(nsoilmx),')'
-	 ierr=1
-	 do while (ierr.ne.0)
-	  read(*,*,iostat=ierr) val2
-!	  write(*,*)'val2:',val2,'ierr=',ierr
-	  if (ierr.eq.0) then ! got a value, but do a sanity check
-	    if(val2.gt.layer(nsoilmx)) then
-	      write(*,*)'Depth should be less than ',layer(nsoilmx)
-	      ierr=1
-	    endif
-	    if(val2.lt.layer(1)) then
-	      write(*,*)'Depth should be more than ',layer(1)
-	      ierr=1
-	    endif
-	  endif
-         enddo ! of do while
-	 
-	 ! find the reference index iref the depth corresponds to
-!	 if (val2.lt.layer(1)) then
-!	  iref=1
-!	 else
-	  do isoil=1,nsoilmx-1
-	   if((val2.gt.layer(isoil)).and.(val2.lt.layer(isoil+1)))
-     &       then
-	     iref=isoil
-	     exit
-	   endif
-	  enddo
-!	 endif
-	 
-!	 write(*,*)'iref:',iref,'  jref:',jref
-!	 write(*,*)'layer',layer
-!	 write(*,*)'mlayer',mlayer
-         
-	 ! thermal inertia of the ice:
-	 ierr=1
-	 do while (ierr.ne.0)
-          write(*,*)'What is the value of subterranean ice thermal inert
-     &ia? (e.g.: 2000)'
-          read(*,*,iostat=ierr)iceith
-	 enddo ! of do while
-	 
-	 ! recast ithfi() onto ith()
-	 call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
-	 
-	 do j=1,jref
-!	    write(*,*)'j:',j,'rlatu(j)*180./pi:',rlatu(j)*180./pi
-	    do i=1,iip1 ! loop on longitudes
-	     ! Build "equivalent" thermal inertia for the mixed layer
-	     ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
-     &                     (((val2-layer(iref))/(ith(i,j,iref)**2))+
-     &                      ((layer(iref+1)-val2)/(iceith)**2)))
-	     ! Set thermal inertia of lower layers
-	     do isoil=iref+2,nsoilmx
-	      ith(i,j,isoil)=iceith ! ice
-	     enddo
-	    enddo ! of do i=1,iip1 
-	 enddo ! of do j=1,jjp1
-	 
-
-	 CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-
-!         do i=1,nsoilmx
-!	  write(*,*)'i:',i,'ithfi(1,i):',ithfi(1,i)
-!	 enddo
+
+
+
+c$$$!       subsoilice_n: Put deep ice layer in northern hemisphere soil
+c$$$!       ------------------------------------------------------------
+c$$$
+c$$$	else if (modif(1:len_trim(modif)).eq.'subsoilice_n') then
+c$$$
+c$$$         write(*,*)'From which latitude (in deg.), up to the north pole,
+c$$$     &should we put subterranean ice?'
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$	  read(*,*,iostat=ierr) val
+c$$$	  if (ierr.eq.0) then ! got a value
+c$$$	    ! do a sanity check
+c$$$	    if((val.lt.0.).or.(val.gt.90)) then
+c$$$	      write(*,*)'Latitude should be between 0 and 90 deg. !!!'
+c$$$	      ierr=1
+c$$$	    else ! find corresponding jref (nearest latitude)
+c$$$	      ! note: rlatu(:) contains decreasing values of latitude
+c$$$	      !       starting from PI/2 to -PI/2
+c$$$	      do j=1,jjp1
+c$$$	        if ((rlatu(j)*180./pi.ge.val).and.
+c$$$     &              (rlatu(j+1)*180./pi.le.val)) then
+c$$$		  ! find which grid point is nearest to val:
+c$$$		  if (abs(rlatu(j)*180./pi-val).le.
+c$$$     &                abs((rlatu(j+1)*180./pi-val))) then
+c$$$		   jref=j
+c$$$		  else
+c$$$		   jref=j+1
+c$$$		  endif
+c$$$		 
+c$$$		 write(*,*)'Will use nearest grid latitude which is:',
+c$$$     &                     rlatu(jref)*180./pi
+c$$$		endif
+c$$$	      enddo ! of do j=1,jjp1
+c$$$	    endif ! of if((val.lt.0.).or.(val.gt.90))
+c$$$	  endif !of if (ierr.eq.0)
+c$$$	 enddo ! of do while
+c$$$
+c$$$         ! Build layers() (as in soil_settings.F)
+c$$$	 val2=sqrt(mlayer(0)*mlayer(1))
+c$$$	 val3=mlayer(1)/mlayer(0)
+c$$$	 do isoil=1,nsoilmx
+c$$$	   layer(isoil)=val2*(val3**(isoil-1))
+c$$$	 enddo
+c$$$
+c$$$         write(*,*)'At which depth (in m.) does the ice layer begin?'
+c$$$         write(*,*)'(currently, the deepest soil layer extends down to:'
+c$$$     &              ,layer(nsoilmx),')'
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$	  read(*,*,iostat=ierr) val2
+c$$$!	  write(*,*)'val2:',val2,'ierr=',ierr
+c$$$	  if (ierr.eq.0) then ! got a value, but do a sanity check
+c$$$	    if(val2.gt.layer(nsoilmx)) then
+c$$$	      write(*,*)'Depth should be less than ',layer(nsoilmx)
+c$$$	      ierr=1
+c$$$	    endif
+c$$$	    if(val2.lt.layer(1)) then
+c$$$	      write(*,*)'Depth should be more than ',layer(1)
+c$$$	      ierr=1
+c$$$	    endif
+c$$$	  endif
+c$$$         enddo ! of do while
+c$$$	 
+c$$$	 ! find the reference index iref the depth corresponds to
+c$$$!	 if (val2.lt.layer(1)) then
+c$$$!	  iref=1
+c$$$!	 else
+c$$$	  do isoil=1,nsoilmx-1
+c$$$	   if((val2.gt.layer(isoil)).and.(val2.lt.layer(isoil+1)))
+c$$$     &       then
+c$$$	     iref=isoil
+c$$$	     exit
+c$$$	   endif
+c$$$	  enddo
+c$$$!	 endif
+c$$$	 
+c$$$!	 write(*,*)'iref:',iref,'  jref:',jref
+c$$$!	 write(*,*)'layer',layer
+c$$$!	 write(*,*)'mlayer',mlayer
+c$$$         
+c$$$	 ! thermal inertia of the ice:
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$          write(*,*)'What is the value of subterranean ice thermal inert
+c$$$     &ia? (e.g.: 2000)'
+c$$$          read(*,*,iostat=ierr)iceith
+c$$$	 enddo ! of do while
+c$$$	 
+c$$$	 ! recast ithfi() onto ith()
+c$$$	 call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
+c$$$	 
+c$$$	 do j=1,jref
+c$$$!	    write(*,*)'j:',j,'rlatu(j)*180./pi:',rlatu(j)*180./pi
+c$$$	    do i=1,iip1 ! loop on longitudes
+c$$$	     ! Build "equivalent" thermal inertia for the mixed layer
+c$$$	     ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
+c$$$     &                     (((val2-layer(iref))/(ith(i,j,iref)**2))+
+c$$$     &                      ((layer(iref+1)-val2)/(iceith)**2)))
+c$$$	     ! Set thermal inertia of lower layers
+c$$$	     do isoil=iref+2,nsoilmx
+c$$$	      ith(i,j,isoil)=iceith ! ice
+c$$$	     enddo
+c$$$	    enddo ! of do i=1,iip1 
+c$$$	 enddo ! of do j=1,jjp1
+c$$$	 
+c$$$
+c$$$	 CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
+c$$$
+c$$$!         do i=1,nsoilmx
+c$$$!	  write(*,*)'i:',i,'ithfi(1,i):',ithfi(1,i)
+c$$$!	 enddo
 
 	
-!       subsoilice_s: Put deep ice layer in southern hemisphere soil
-!       ------------------------------------------------------------
-
-	else if (modif(1:len_trim(modif)).eq.'subsoilice_s') then
-
-         write(*,*)'From which latitude (in deg.), down to the south pol
-     &e, should we put subterranean ice?'
-	 ierr=1
-	 do while (ierr.ne.0)
-	  read(*,*,iostat=ierr) val
-	  if (ierr.eq.0) then ! got a value
-	    ! do a sanity check
-	    if((val.gt.0.).or.(val.lt.-90)) then
-	      write(*,*)'Latitude should be between 0 and -90 deg. !!!'
-	      ierr=1
-	    else ! find corresponding jref (nearest latitude)
-	      ! note: rlatu(:) contains decreasing values of latitude
-	      !       starting from PI/2 to -PI/2
-	      do j=1,jjp1
-	        if ((rlatu(j)*180./pi.ge.val).and.
-     &              (rlatu(j+1)*180./pi.le.val)) then
-		  ! find which grid point is nearest to val:
-		  if (abs(rlatu(j)*180./pi-val).le.
-     &                abs((rlatu(j+1)*180./pi-val))) then
-		   jref=j
-		  else
-		   jref=j+1
-		  endif
-		 
-		 write(*,*)'Will use nearest grid latitude which is:',
-     &                     rlatu(jref)*180./pi
-		endif
-	      enddo ! of do j=1,jjp1
-	    endif ! of if((val.lt.0.).or.(val.gt.90))
-	  endif !of if (ierr.eq.0)
-	 enddo ! of do while
-
-         ! Build layers() (as in soil_settings.F)
-	 val2=sqrt(mlayer(0)*mlayer(1))
-	 val3=mlayer(1)/mlayer(0)
-	 do isoil=1,nsoilmx
-	   layer(isoil)=val2*(val3**(isoil-1))
-	 enddo
-
-         write(*,*)'At which depth (in m.) does the ice layer begin?'
-         write(*,*)'(currently, the deepest soil layer extends down to:'
-     &              ,layer(nsoilmx),')'
-	 ierr=1
-	 do while (ierr.ne.0)
-	  read(*,*,iostat=ierr) val2
-!	  write(*,*)'val2:',val2,'ierr=',ierr
-	  if (ierr.eq.0) then ! got a value, but do a sanity check
-	    if(val2.gt.layer(nsoilmx)) then
-	      write(*,*)'Depth should be less than ',layer(nsoilmx)
-	      ierr=1
-	    endif
-	    if(val2.lt.layer(1)) then
-	      write(*,*)'Depth should be more than ',layer(1)
-	      ierr=1
-	    endif
-	  endif
-         enddo ! of do while
-	 
-	 ! find the reference index iref the depth corresponds to
-	  do isoil=1,nsoilmx-1
-	   if((val2.gt.layer(isoil)).and.(val2.lt.layer(isoil+1)))
-     &       then
-	     iref=isoil
-	     exit
-	   endif
-	  enddo
-	 
-!	 write(*,*)'iref:',iref,'  jref:',jref
-         
-	 ! thermal inertia of the ice:
-	 ierr=1
-	 do while (ierr.ne.0)
-          write(*,*)'What is the value of subterranean ice thermal inert
-     &ia? (e.g.: 2000)'
-          read(*,*,iostat=ierr)iceith
-	 enddo ! of do while
-	 
-	 ! recast ithfi() onto ith()
-	 call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
-	 
-	 do j=jref,jjp1
-!	    write(*,*)'j:',j,'rlatu(j)*180./pi:',rlatu(j)*180./pi
-	    do i=1,iip1 ! loop on longitudes
-	     ! Build "equivalent" thermal inertia for the mixed layer
-	     ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
-     &                     (((val2-layer(iref))/(ith(i,j,iref)**2))+
-     &                      ((layer(iref+1)-val2)/(iceith)**2)))
-	     ! Set thermal inertia of lower layers
-	     do isoil=iref+2,nsoilmx
-	      ith(i,j,isoil)=iceith ! ice
-	     enddo
-	    enddo ! of do i=1,iip1 
-	 enddo ! of do j=jref,jjp1
-	 
-
-	 CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-
-c       'mons_ice' : use MONS data to build subsurface ice table
-c       --------------------------------------------------------
-        else if (modif(1:len_trim(modif)).eq.'mons_ice') then
-        
-       ! 1. Load MONS data
-        call load_MONS_data(MONS_Hdn,MONS_d21)
-        
-        ! 2. Get parameters from user
-        ierr=1
-	do while (ierr.ne.0)
-          write(*,*) "Coefficient to apply to MONS 'depth' in Northern",
-     &               " Hemisphere?"
-          write(*,*) " (should be somewhere between 3.2e-4 and 1.3e-3)"
-          read(*,*,iostat=ierr) MONS_coeffN
-        enddo
-        ierr=1
-	do while (ierr.ne.0)
-          write(*,*) "Coefficient to apply to MONS 'depth' in Southern",
-     &               " Hemisphere?"
-          write(*,*) " (should be somewhere between 3.2e-4 and 1.3e-3)"
-          read(*,*,iostat=ierr) MONS_coeffS
-        enddo
-        ierr=1
-        do while (ierr.ne.0)
-          write(*,*) "Value of subterranean ice thermal inertia?"
-          write(*,*) " (e.g.: 2000, or perhaps 2290)"
-          read(*,*,iostat=ierr) iceith
-        enddo
-        
-        ! 3. Build subterranean thermal inertia
-        
-        ! initialise subsurface inertia with reference surface values
-        do isoil=1,nsoilmx
-          ithfi(1:ngridmx,isoil)=surfithfi(1:ngridmx)
-        enddo
-        ! recast ithfi() onto ith()
-	call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
-        
-        do i=1,iip1 ! loop on longitudes
-          do j=1,jjp1 ! loop on latitudes
-            ! set MONS_coeff
-            if (rlatu(j).ge.0) then ! northern hemisphere
-              ! N.B: rlatu(:) contains decreasing values of latitude
-	      !       starting from PI/2 to -PI/2
-              MONS_coeff=MONS_coeffN
-            else ! southern hemisphere
-              MONS_coeff=MONS_coeffS
-            endif
-            ! check if we should put subterranean ice
-            if (MONS_Hdn(i,j).ge.14.0) then ! no ice if Hdn<14%
-              ! compute depth at which ice lies:
-              val=MONS_d21(i,j)*MONS_coeff
-              ! compute val2= the diurnal skin depth of surface inertia
-              ! assuming a volumetric heat cap. of C=1.e6 J.m-3.K-1
-              val2=ith(i,j,1)*1.e-6*sqrt(88775./3.14159)
-              if (val.lt.val2) then
-                ! ice must be below the (surface inertia) diurnal skin depth
-                val=val2
-              endif
-              if (val.lt.layer(nsoilmx)) then ! subterranean ice
-                ! find the reference index iref that depth corresponds to
-                iref=0
-                do isoil=1,nsoilmx-1
-                 if ((val.ge.layer(isoil)).and.(val.lt.layer(isoil+1)))
-     &             then
-	           iref=isoil
-	           exit
-	         endif
-                enddo
-                ! Build "equivalent" thermal inertia for the mixed layer
-                ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
-     &                     (((val-layer(iref))/(ith(i,j,iref+1)**2))+
-     &                      ((layer(iref+1)-val)/(iceith)**2)))
-	        ! Set thermal inertia of lower layers
-                do isoil=iref+2,nsoilmx
-                  ith(i,j,isoil)=iceith 
-                enddo
-              endif ! of if (val.lt.layer(nsoilmx))
-            endif ! of if (MONS_Hdn(i,j).lt.14.0)
-          enddo ! do j=1,jjp1
-        enddo ! do i=1,iip1
-        
-! Check:
-!         do i=1,iip1
-!           do j=1,jjp1
-!             do isoil=1,nsoilmx
-!               write(77,*) i,j,isoil,"  ",ith(i,j,isoil)
-!             enddo
-!           enddo
-!	 enddo
-
-        ! recast ith() into ithfi()
-        CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
-        
-	else
-          write(*,*) '       Unknown (misspelled?) option!!!'
+c$$$!       subsoilice_s: Put deep ice layer in southern hemisphere soil
+c$$$!       ------------------------------------------------------------
+c$$$
+c$$$	else if (modif(1:len_trim(modif)).eq.'subsoilice_s') then
+c$$$
+c$$$         write(*,*)'From which latitude (in deg.), down to the south pol
+c$$$     &e, should we put subterranean ice?'
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$	  read(*,*,iostat=ierr) val
+c$$$	  if (ierr.eq.0) then ! got a value
+c$$$	    ! do a sanity check
+c$$$	    if((val.gt.0.).or.(val.lt.-90)) then
+c$$$	      write(*,*)'Latitude should be between 0 and -90 deg. !!!'
+c$$$	      ierr=1
+c$$$	    else ! find corresponding jref (nearest latitude)
+c$$$	      ! note: rlatu(:) contains decreasing values of latitude
+c$$$	      !       starting from PI/2 to -PI/2
+c$$$	      do j=1,jjp1
+c$$$	        if ((rlatu(j)*180./pi.ge.val).and.
+c$$$     &              (rlatu(j+1)*180./pi.le.val)) then
+c$$$		  ! find which grid point is nearest to val:
+c$$$		  if (abs(rlatu(j)*180./pi-val).le.
+c$$$     &                abs((rlatu(j+1)*180./pi-val))) then
+c$$$		   jref=j
+c$$$		  else
+c$$$		   jref=j+1
+c$$$		  endif
+c$$$		 
+c$$$		 write(*,*)'Will use nearest grid latitude which is:',
+c$$$     &                     rlatu(jref)*180./pi
+c$$$		endif
+c$$$	      enddo ! of do j=1,jjp1
+c$$$	    endif ! of if((val.lt.0.).or.(val.gt.90))
+c$$$	  endif !of if (ierr.eq.0)
+c$$$	 enddo ! of do while
+c$$$
+c$$$         ! Build layers() (as in soil_settings.F)
+c$$$	 val2=sqrt(mlayer(0)*mlayer(1))
+c$$$	 val3=mlayer(1)/mlayer(0)
+c$$$	 do isoil=1,nsoilmx
+c$$$	   layer(isoil)=val2*(val3**(isoil-1))
+c$$$	 enddo
+c$$$
+c$$$         write(*,*)'At which depth (in m.) does the ice layer begin?'
+c$$$         write(*,*)'(currently, the deepest soil layer extends down to:'
+c$$$     &              ,layer(nsoilmx),')'
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$	  read(*,*,iostat=ierr) val2
+c$$$!	  write(*,*)'val2:',val2,'ierr=',ierr
+c$$$	  if (ierr.eq.0) then ! got a value, but do a sanity check
+c$$$	    if(val2.gt.layer(nsoilmx)) then
+c$$$	      write(*,*)'Depth should be less than ',layer(nsoilmx)
+c$$$	      ierr=1
+c$$$	    endif
+c$$$	    if(val2.lt.layer(1)) then
+c$$$	      write(*,*)'Depth should be more than ',layer(1)
+c$$$	      ierr=1
+c$$$	    endif
+c$$$	  endif
+c$$$         enddo ! of do while
+c$$$	 
+c$$$	 ! find the reference index iref the depth corresponds to
+c$$$	  do isoil=1,nsoilmx-1
+c$$$	   if((val2.gt.layer(isoil)).and.(val2.lt.layer(isoil+1)))
+c$$$     &       then
+c$$$	     iref=isoil
+c$$$	     exit
+c$$$	   endif
+c$$$	  enddo
+c$$$	 
+c$$$!	 write(*,*)'iref:',iref,'  jref:',jref
+c$$$         
+c$$$	 ! thermal inertia of the ice:
+c$$$	 ierr=1
+c$$$	 do while (ierr.ne.0)
+c$$$          write(*,*)'What is the value of subterranean ice thermal inert
+c$$$     &ia? (e.g.: 2000)'
+c$$$          read(*,*,iostat=ierr)iceith
+c$$$	 enddo ! of do while
+c$$$	 
+c$$$	 ! recast ithfi() onto ith()
+c$$$	 call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
+c$$$	 
+c$$$	 do j=jref,jjp1
+c$$$!	    write(*,*)'j:',j,'rlatu(j)*180./pi:',rlatu(j)*180./pi
+c$$$	    do i=1,iip1 ! loop on longitudes
+c$$$	     ! Build "equivalent" thermal inertia for the mixed layer
+c$$$	     ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
+c$$$     &                     (((val2-layer(iref))/(ith(i,j,iref)**2))+
+c$$$     &                      ((layer(iref+1)-val2)/(iceith)**2)))
+c$$$	     ! Set thermal inertia of lower layers
+c$$$	     do isoil=iref+2,nsoilmx
+c$$$	      ith(i,j,isoil)=iceith ! ice
+c$$$	     enddo
+c$$$	    enddo ! of do i=1,iip1 
+c$$$	 enddo ! of do j=jref,jjp1
+c$$$	 
+c$$$
+c$$$	 CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
+
+
+c$$$c       'mons_ice' : use MONS data to build subsurface ice table
+c$$$c       --------------------------------------------------------
+c$$$        else if (modif(1:len_trim(modif)).eq.'mons_ice') then
+c$$$        
+c$$$       ! 1. Load MONS data
+c$$$        call load_MONS_data(MONS_Hdn,MONS_d21)
+c$$$        
+c$$$        ! 2. Get parameters from user
+c$$$        ierr=1
+c$$$	do while (ierr.ne.0)
+c$$$          write(*,*) "Coefficient to apply to MONS 'depth' in Northern",
+c$$$     &               " Hemisphere?"
+c$$$          write(*,*) " (should be somewhere between 3.2e-4 and 1.3e-3)"
+c$$$          read(*,*,iostat=ierr) MONS_coeffN
+c$$$        enddo
+c$$$        ierr=1
+c$$$	do while (ierr.ne.0)
+c$$$          write(*,*) "Coefficient to apply to MONS 'depth' in Southern",
+c$$$     &               " Hemisphere?"
+c$$$          write(*,*) " (should be somewhere between 3.2e-4 and 1.3e-3)"
+c$$$          read(*,*,iostat=ierr) MONS_coeffS
+c$$$        enddo
+c$$$        ierr=1
+c$$$        do while (ierr.ne.0)
+c$$$          write(*,*) "Value of subterranean ice thermal inertia?"
+c$$$          write(*,*) " (e.g.: 2000, or perhaps 2290)"
+c$$$          read(*,*,iostat=ierr) iceith
+c$$$        enddo
+c$$$        
+c$$$        ! 3. Build subterranean thermal inertia
+c$$$        
+c$$$        ! initialise subsurface inertia with reference surface values
+c$$$        do isoil=1,nsoilmx
+c$$$          ithfi(1:ngridmx,isoil)=surfithfi(1:ngridmx)
+c$$$        enddo
+c$$$        ! recast ithfi() onto ith()
+c$$$	call gr_fi_dyn(nsoilmx,ngridmx,iip1,jjp1,ithfi,ith)
+c$$$        
+c$$$        do i=1,iip1 ! loop on longitudes
+c$$$          do j=1,jjp1 ! loop on latitudes
+c$$$            ! set MONS_coeff
+c$$$            if (rlatu(j).ge.0) then ! northern hemisphere
+c$$$              ! N.B: rlatu(:) contains decreasing values of latitude
+c$$$	      !       starting from PI/2 to -PI/2
+c$$$              MONS_coeff=MONS_coeffN
+c$$$            else ! southern hemisphere
+c$$$              MONS_coeff=MONS_coeffS
+c$$$            endif
+c$$$            ! check if we should put subterranean ice
+c$$$            if (MONS_Hdn(i,j).ge.14.0) then ! no ice if Hdn<14%
+c$$$              ! compute depth at which ice lies:
+c$$$              val=MONS_d21(i,j)*MONS_coeff
+c$$$              ! compute val2= the diurnal skin depth of surface inertia
+c$$$              ! assuming a volumetric heat cap. of C=1.e6 J.m-3.K-1
+c$$$              val2=ith(i,j,1)*1.e-6*sqrt(88775./3.14159)
+c$$$              if (val.lt.val2) then
+c$$$                ! ice must be below the (surface inertia) diurnal skin depth
+c$$$                val=val2
+c$$$              endif
+c$$$              if (val.lt.layer(nsoilmx)) then ! subterranean ice
+c$$$                ! find the reference index iref that depth corresponds to
+c$$$                iref=0
+c$$$                do isoil=1,nsoilmx-1
+c$$$                 if ((val.ge.layer(isoil)).and.(val.lt.layer(isoil+1)))
+c$$$     &             then
+c$$$	           iref=isoil
+c$$$	           exit
+c$$$	         endif
+c$$$                enddo
+c$$$                ! Build "equivalent" thermal inertia for the mixed layer
+c$$$                ith(i,j,iref+1)=sqrt((layer(iref+1)-layer(iref))/
+c$$$     &                     (((val-layer(iref))/(ith(i,j,iref+1)**2))+
+c$$$     &                      ((layer(iref+1)-val)/(iceith)**2)))
+c$$$	        ! Set thermal inertia of lower layers
+c$$$                do isoil=iref+2,nsoilmx
+c$$$                  ith(i,j,isoil)=iceith 
+c$$$                enddo
+c$$$              endif ! of if (val.lt.layer(nsoilmx))
+c$$$            endif ! of if (MONS_Hdn(i,j).lt.14.0)
+c$$$          enddo ! do j=1,jjp1
+c$$$        enddo ! do i=1,iip1
+c$$$        
+c$$$! Check:
+c$$$!         do i=1,iip1
+c$$$!           do j=1,jjp1
+c$$$!             do isoil=1,nsoilmx
+c$$$!               write(77,*) i,j,isoil,"  ",ith(i,j,isoil)
+c$$$!             enddo
+c$$$!           enddo
+c$$$!	 enddo
+c$$$
+c$$$        ! recast ith() into ithfi()
+c$$$        CALL gr_dyn_fi(nsoilmx,iip1,jjp1,ngridmx,ith,ithfi)
+c$$$        
+c$$$	else
+c$$$          write(*,*) '       Unknown (misspelled?) option!!!'
         end if ! of if (modif(1:len_trim(modif)) .eq. '...') elseif ...
 	
+
+
+
+
+
+
+
+
+
+
        enddo ! of do ! infinite loop on liste of changes
 
@@ -1387,4 +1659,24 @@
 
  
+c=======================================================================
+c   Initialisation for cloud fraction and oceanic ice (added by BC 2010)
+c=======================================================================
+      DO ig=1, ngridmx
+         totalfrac(ig)=0.5
+         DO l=1,llm
+            cloudfrac(ig,l)=0.5
+         ENDDO
+      ENDDO
+      
+c========================================================
+
+!      DO ig=1,ngridmx
+!         IF(tsurf(ig) .LT. 273.16-1.8) THEN
+!            hice(ig)=(273.16-1.8-tsurf(ig))/(273.16-1.8-240)*1.
+!            hice(ig)=min(hice(ig),1.0)
+!         ENDIF
+!      ENDDO
+
+
 c=======================================================================
 c   Correct pressure on the new grid (menu 0)
@@ -1393,4 +1685,12 @@
       if ((choix_1.eq.0).and.(.not.flagps0)) then
         r = 1000.*8.31/mugaz
+
+        phi0=0.0
+        do j=1,jjp1
+          do i=1,iip1
+             phi0 = phi0+phis(i,j)*aire(i,j)
+          end do
+        end do
+        phi0=phi0/airetot
 
         do j=1,jjp1
@@ -1398,15 +1698,30 @@
              ps(i,j) = ps(i,j) * 
 !     .            exp((phisold_newgrid(i,j)-phis(i,j)) /
-     .            exp((-phis(i,j)) /
+     .            exp((phi0-phis(i,j)) /
      .                                  (t(i,j,1) * r))
           end do
         end do
   
-c periodicity of surface ps in longitude
+!     we must renormalise pressures AGAIN, because exp(-phi) is nonlinear
+        ptot=0.0
         do j=1,jjp1
-          ps(1,j) = ps(iip1,j)
+           do i=1,iip1
+              ptot=ptot+ps(i,j)*aire(i,j)
+           enddo
+        enddo
+        do j=1,jjp1
+           do i=1,iip1
+              ps(i,j)=ps(i,j)*ptotn/ptot
+           enddo
+        enddo
+        
+!     periodicity of surface ps in longitude
+        do j=1,jjp1
+           ps(1,j) = ps(iip1,j)
         end do
+        
       end if
 
+
 c=======================================================================
 c=======================================================================
@@ -1415,5 +1730,4 @@
 c    Initialisation de la physique / ecriture de newstartfi :
 c=======================================================================
-
 
       CALL inifilr 
@@ -1447,4 +1761,5 @@
       endif
 
+
 C Calcul intermediaire
 c
@@ -1490,8 +1805,16 @@
 C
 
+!      do ig=1,ngridmx
+!         print*,'surface ice in newstart=',qsurf(ig,igcm_h2o_ice)
+!         print*,'surface liq in newstart=',qsurf(ig,igcm_h2o_vap)
+!      enddo
+!      stop
+
+
       call physdem1("restartfi.nc",lonfi,latfi,nsoilmx,nqmx,
      .              dtphys,float(day_ini),
      .              time,tsurf,tsoil,emis,q2,qsurf,
-     .              airefi,albfi,ithfi,zmea,zstd,zsig,zgam,zthe)
+     .              airefi,albfi,ithfi,zmea,zstd,zsig,zgam,zthe,
+     .              cloudfrac,totalfrac,hice)
 
 c=======================================================================
Index: /trunk/LMDZ.GENERIC/libf/dyn3d/start2archive.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dyn3d/start2archive.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/dyn3d/start2archive.F	(revision 253)
@@ -68,4 +68,9 @@
       INTEGER*4 day_ini_fi
 
+!     added by FF for cloud fraction setup
+      REAL hice(ngridmx)
+      REAL cloudfrac(ngridmx,nlayermx),totalcloudfrac(ngridmx)
+
+
 c Variable naturelle / grille scalaire
 c ------------------------------------
@@ -78,4 +83,8 @@
       REAL emisS(ip1jmp1)
 
+!     added by FF for cloud fraction setup
+      REAL hiceS(ip1jmp1)
+      REAL cloudfracS(ip1jmp1,llm),totalcloudfracS(ip1jmp1)
+
 c Variables intermediaires : vent naturel, mais pas coord scalaire
 c----------------------------------------------------------------
@@ -127,5 +136,9 @@
 
       CALL phyetat0 (fichnom,0,Lmodif,nsoilmx,nqmx,day_ini_fi,timefi,
-     .      tsurf,tsoil,emis,q2,qsurf)
+     .      tsurf,tsoil,emis,q2,qsurf,
+!       change FF 05/2011
+     .       cloudfrac,totalcloudfrac,hice)
+
+
 
        ierr = NF_OPEN (fichnom, NF_NOWRITE,nid1)
@@ -233,4 +246,7 @@
       call gr_fi_dyn(llm+1,ngridmx,iip1,jjp1,q2,q2S)
       call gr_fi_dyn(nqmx,ngridmx,iip1,jjp1,qsurf,qsurfS)
+      call gr_fi_dyn(llm,ngridmx,iip1,jjp1,cloudfrac,cloudfracS)
+      call gr_fi_dyn(1,ngridmx,iip1,jjp1,hice,hiceS)
+      call gr_fi_dyn(1,ngridmx,iip1,jjp1,totalcloudfrac,totalcloudfracS)
 
 c=======================================================================
@@ -376,8 +392,17 @@
 ! Note: no need to write volcapa, it is stored in "controle" table
 
+c-----------------------------------------------------------------------
+c Ecriture du champs  cloudfrac,hice,totalcloudfrac
+c-----------------------------------------------------------------------
+      call write_archive(nid,ntime,'hice',
+     &         'Height of oceanic ice','m',2,hiceS)
+      call write_archive(nid,ntime,'totalcloudfrac',
+     &        'Total cloud Fraction','',2,totalcloudfracS)
+      call write_archive(nid,ntime,'cloudfrac'
+     &        ,'Cloud fraction','',3,cloudfracS)
+c-----------------------------------------------------------------------
+c Fin 
+c-----------------------------------------------------------------------
       ierr=NF_CLOSE(nid)
-c-----------------------------------------------------------------------
-c Fin 
-c-----------------------------------------------------------------------
 
       end 
Index: /trunk/LMDZ.GENERIC/libf/dyn3d/tracvl.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dyn3d/tracvl.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/dyn3d/tracvl.F	(revision 253)
@@ -72,4 +72,7 @@
 c   Test pour savoir si on advecte a ce pas de temps
       IF ( iadvtr.EQ.iapp_tracvl ) THEN
+!      print*,'WARNING: ALL TRACER ADVECTION HALTED IN TRACVL.F'
+!         if(2.eq.1)then
+
 
 cc   ..  Modif P.Le Van  ( 20/12/97 )  ....
Index: /trunk/LMDZ.GENERIC/libf/filtrez/parafilt.h
===================================================================
--- /trunk/LMDZ.GENERIC/libf/filtrez/parafilt.h	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/filtrez/parafilt.h	(revision 253)
@@ -21,5 +21,10 @@
 c      PARAMETER (nfilun=18, nfilus=17, nfilvn=17, nfilvs=17) !!NO fxyhyper
 !!        PARAMETER (nfilun=9,nfilus=8,nfilvn=8,nfilvs=8)
-        PARAMETER (nfilun=9,nfilus=9,nfilvn=9,nfilvs=9)
+!        PARAMETER (nfilun=9,nfilus=9,nfilvn=9,nfilvs=9)
+
+        PARAMETER (nfilun=11,nfilus=11,nfilvn=11,nfilvs=11)
+!        PARAMETER (nfilun=12,nfilus=12,nfilvn=12,nfilvs=12)
+
+
 c 96 72 19 non-zoom:
 ccc      PARAMETER (nfilun=12, nfilus=11, nfilvn=12, nfilvs=12)
